Bug 1370658 - raid10 stripe limitation is 32, not 64 like the current error states
Summary: raid10 stripe limitation is 32, not 64 like the current error states
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: lvm2
Version: 7.3
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: rc
: ---
Assignee: LVM and device-mapper development team
QA Contact: cluster-qe@redhat.com
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-26 23:14 UTC by Corey Marthaler
Modified: 2016-11-04 04:18 UTC (History)
8 users (show)

Fixed In Version: lvm2-2.02.164-4.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-04 04:18:22 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:1445 normal SHIPPED_LIVE lvm2 bug fix and enhancement update 2016-11-03 13:46:41 UTC

Description Corey Marthaler 2016-08-26 23:14:59 UTC
Description of problem:
[root@host-117 ~]# lvcreate -i 64 --type raid10 -L 100M -n raid6 test
  Using default stripesize 64.00 KiB.
  Only up to 64 stripes in raid10 supported currently.
  Run `lvcreate --help' for more information.

[root@host-117 ~]# lvcreate -i 63 --type raid10 -L 100M -n raid6 test
  Using default stripesize 64.00 KiB.
  Only up to 64 stripes in raid10 supported currently.
  Run `lvcreate --help' for more information.

[root@host-117 ~]# lvcreate -i 33 --type raid10 -L 100M -n raid6 test
  Using default stripesize 64.00 KiB.
  Only up to 64 stripes in raid10 supported currently.
  Run `lvcreate --help' for more information.

[root@host-117 ~]# lvcreate -i 32 --type raid10 -L 100M -n raid6 test
  Using default stripesize 64.00 KiB.
  Rounding size 100.00 MiB (25 extents) up to stripe boundary size 128.00 MiB (32 extents).
  Number of stripes (32) must not exceed number of physical volumes (7)


Version-Release number of selected component (if applicable):
lvm2-2.02.164-3.el7    BUILT: Wed Aug 24 05:20:41 CDT 2016
lvm2-libs-2.02.164-3.el7    BUILT: Wed Aug 24 05:20:41 CDT 2016
lvm2-cluster-2.02.164-3.el7    BUILT: Wed Aug 24 05:20:41 CDT 2016

Comment 4 Corey Marthaler 2016-08-31 17:50:33 UTC
Fix verified in the latest rpms.


3.10.0-497.el7.x86_64
lvm2-2.02.164-4.el7    BUILT: Wed Aug 31 08:47:09 CDT 2016
lvm2-libs-2.02.164-4.el7    BUILT: Wed Aug 31 08:47:09 CDT 2016
lvm2-cluster-2.02.164-4.el7    BUILT: Wed Aug 31 08:47:09 CDT 2016
device-mapper-1.02.133-4.el7    BUILT: Wed Aug 31 08:47:09 CDT 2016
device-mapper-libs-1.02.133-4.el7    BUILT: Wed Aug 31 08:47:09 CDT 2016
device-mapper-event-1.02.133-4.el7    BUILT: Wed Aug 31 08:47:09 CDT 2016
device-mapper-event-libs-1.02.133-4.el7    BUILT: Wed Aug 31 08:47:09 CDT 2016
device-mapper-persistent-data-0.6.3-1.el7    BUILT: Fri Jul 22 05:29:13 CDT 2016


[root@host-117 ~]# lvcreate -i 64 --type raid10 -L 100M -n raid6 test
  Using default stripesize 64.00 KiB.
  Only up to 32 stripes in raid10 supported currently.
  Run `lvcreate --help' for more information.

[root@host-117 ~]# lvcreate -i 33 --type raid10 -L 100M -n raid6 test
  Using default stripesize 64.00 KiB.
  Only up to 32 stripes in raid10 supported currently.
  Run `lvcreate --help' for more information.

[root@host-117 ~]# lvcreate -i 32 --type raid10 -L 100M -n raid6 test
  Using default stripesize 64.00 KiB.
  Rounding size 100.00 MiB (25 extents) up to stripe boundary size 128.00 MiB (32 extents).
  Number of stripes (32) must not exceed number of physical volumes (7)

Comment 6 errata-xmlrpc 2016-11-04 04:18:22 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-1445.html


Note You need to log in before you can comment on or make changes to this bug.